﻿<%@ page language="C#" autoeventwireup="true" inherits="RepairPerson_Default, App_Web_default.aspx.6cc23264" enableEventValidation="false" %>

<%@ Register Src="MyHeader.ascx" TagName="MyHeader" TagPrefix="uc1" %>
<%@ Register Src="MyFooter.ascx" TagName="MyFooter" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>报修管理</title>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <script src="/control/js/jquery.js" type="text/javascript"></script>
    <link href="/control/plugin/bootstrap3/css/bootstrap.css" rel="stylesheet" type="text/css" />
    <script src="/control/plugin/bootstrap3/js/bootstrap.js" type="text/javascript"></script>
    <link href="/user/css/rp.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <div class="container">
        <uc1:MyHeader ID="MyHeader1" runat="server" />
        <div class="row">
            <div class="col-md-12">
                <div class="well">
                    <ul class="nav nav-tabs">
                        <li id="state"><a href="Default.aspx">全部<span class="badge"><asp:Literal ID="litstate" runat="server" ></asp:Literal></span></a></li>
                        <li id="state-1"><a href="Default.aspx?state=-1">未指派 <span class="badge">
                            <asp:Literal ID="litstate_1" runat="server" Text="0"></asp:Literal></span></a> </li>
   
                        <li id="state0"><a href="Default.aspx?state=0">待处理 <span class="badge">
                            <asp:Literal ID="litstate0" runat="server" Text="0"></asp:Literal></span></a> </li>
                        <li id="state1"><a href="Default.aspx?state=1">处理中 <span class="badge">
                            <asp:Literal ID="litstate1" runat="server" Text="0"></asp:Literal></span></a> </li>
                        <li id="state2"><a href="Default.aspx?state=2">驳回报修 <span class="badge">
                            <asp:Literal ID="litstate2" runat="server" Text="0"></asp:Literal></span></a> </li>
                        <li id="state3"><a href="Default.aspx?state=3">未评价 <span class="badge">
                            <asp:Literal ID="litstate3" runat="server" Text="0"></asp:Literal></span></a> </li>
                        <li id="state4"><a href="Default.aspx?state=4">已评价 <span class="badge">
                            <asp:Literal ID="litstate4" runat="server" Text="0"></asp:Literal></span></a> </li>
                        <li id="state-2"><a href="Default.aspx?state=-2">改派申请 <span class="badge">
                            <asp:Literal ID="litstate_2" runat="server" Text="0"></asp:Literal></span></a> </li>

                        <script language="javascript" type="text/javascript">

                            var state = '<%=state %>';
                            $(function () {
                                $("#state" + state).addClass("active");
                            });

                        </script>
                    </ul>
                    <div class=" table-responsive">


                        <asp:Repeater ID="rptRepair" runat="server" OnItemDataBound="rptRepair_ItemDataBound">
                            <HeaderTemplate>
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th>序号
                                            </th>
                                            <th>标题
                                            </th>
                                            <th>缓急程度
                                            </th>
                                            <th>维修负责人
                                            </th>
                                            <th>状态
                                            </th>
                                            <th></th>
                                            <th>申请日期
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                            </HeaderTemplate>
                            <ItemTemplate>
                                <tr>
                                    <td>
                                        <%#Eval("rownum") %>
                                    </td>
                                    <td>
                                        <a href="RepairDetails.aspx?id=<%#Eval("id") %>"><%#Eval("r_title") %></a>
                                    </td>

                                    <td>
                                        <%#Repair_BLL.N25175_Repair_BLL.GetPriorityHtmlLabel((int)Eval("r_priority"))%>
                                    </td>



                                    <td>
                                        <%#Eval("l_name") %>
                                    </td>
                                    <td>
                                        <%#Repair_BLL.N25175_Repair_BLL.GetRepairStateHtmlLabel((int)Eval("r_state"))%>
                                    </td>
                                    <td>


                                        <asp:Literal ID="litEvaluation" runat="server"></asp:Literal>


                                        <%--     <%#Repair_BLL.N25175_Repair_BLL.GetRepairStateHtmlLabel((int)Eval("r_state"))%>

                                   <a class="btn btn-default btn-xs" href="Evaluation.aspx"><span class="glyphicon glyphicon-star"
                                        aria-hidden="true"></span>评价</a>--%>
                                    </td>
                                    <td>
                                        <%#Eval("r_cdate") %>
                                    </td>
                                </tr>
                            </ItemTemplate>
                            <FooterTemplate>
                                </tbody>
                                </table>

                                <div class="jumbotron" style="display: <%#bool.Parse((rptRepair.Items.Count==0).ToString())?"block":"none"%>">

                                    <p>没有对应的报修申请</p>

                                </div>



                            </FooterTemplate>
                        </asp:Repeater>


                      
                    </div>
                    <asp:Literal ID="litPage" runat="server"></asp:Literal>

                </div>
            </div>
        </div>
        <uc2:MyFooter ID="MyFooter1" runat="server" />
    </div>
</body>
</html>
